(height, percent, charge, low, lbr, m_color, b_color) {
	var canvas = document.createElement("canvas");
	canvas.height = height / 2;
	canvas.width = canvas.height * 3;
	var ctx  = canvas.getContext("2d");
	
	var drawWidth = canvas.width;
	var drawHeight = canvas.height;
	var r = drawHeight / 2;
	var p_Left = r;
	var p_Right = drawWidth - r;
	var p_Center = drawHeight / 2;
	
	ctx.strokeStyle="rgb(" + b_color.slice(0, 3).join()+ ")";
	ctx.moveTo( p_Left, 0 );
	ctx.lineTo( p_Right, 0 );
	ctx.arc( p_Right, p_Center, r, -Math.PI/2, Math.PI/2 );
	ctx.lineTo( p_Left, drawHeight );
	ctx.arc( p_Left, p_Center, r, Math.PI/2, Math.PI*3/2 );
	ctx.stroke();
	
	return canvas.toDataURL("image/png");
}

